@echo on
@setlocal enabledelayedexpansion

echo -----------------------------------
echo Using pip to install Python %PY_VER% version of tensorflow-addons
IF "%PY_VER%" == "3.7" (
  set "wheel_url=https://files.pythonhosted.org/packages/9c/f9/03fe180d36a5d1a587d690a4e7287a9412b93db225e26a3fe727bdfb11cb/tensorflow_addons-0.15.0-cp37-cp37m-win_amd64.whl"
)
IF "%PY_VER%" == "3.8" (
  set "wheel_url=https://files.pythonhosted.org/packages/e2/8d/bbd80804f7febe81107fcf31f5d7ae073aa2335e871d1bdc2588bd8e59cb/tensorflow_addons-0.15.0-cp38-cp38-win_amd64.whl"
)
IF "%PY_VER%" == "3.9" (
  set "wheel_url=https://files.pythonhosted.org/packages/99/4a/18a2a2a85539ba8d1108c6c80669ea1d0854abc18f4607a5fe790a5ec80a/tensorflow_addons-0.15.0-cp39-cp39-win_amd64.whl"
)

if "%wheel_url%" == "" (
    echo Unsupported Python version %PY_VER%.
    exit 1
)

%PYTHON% -m pip install --no-deps %wheel_url% -vv
if errorlevel 1 exit 1
